Subject: bug#7296: display-pixel-height not enough

From: Jason Rumney <[email-masked]>
Date: Tue, 02 Nov 2010 09:09:18 +0800

On 02/11/2010 05:40, Eli Zaretskii wrote:

>> I mean maximize height only, maximize width only and fullscreen.  I
>> think those are missing.
>>      
> I suspect they cannot be implemented with any degree of accuracy, not
> with an arbitrary wm.  But that's me.
>    

They are already implemented for X, which is the only platform that may 
have an arbitrary wm. Making them work on Windows is fairly trivial 
using the system parameters that Lennart mentioned (and which we already 
use for ensuring tooltips remain visible and on a single screen).